Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1064567 - "OK" button still has focus when editing user-data
Summary: "OK" button still has focus when editing user-data
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal
Version: 3.3.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 3.4.0
Assignee: Tomas Jelinek
QA Contact: Pavel Novotny
URL:
Whiteboard: virt
Depends On:
Blocks: rhev3.4rc
TreeView+ depends on / blocked
 
Reported: 2014-02-12 20:45 UTC by Stephen Gordon
Modified: 2014-06-12 14:08 UTC (History)
10 users (show)

Fixed In Version: av7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-12 14:08:44 UTC
oVirt Team: ---


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 25289 None None None Never
oVirt gerrit 26978 ovirt-engine-3.4 MERGED webadmin: EnterIgnoringFocusHandler catch ONKEYDOWN Never

Description Stephen Gordon 2014-02-12 20:45:21 UTC
Description of problem:

When editing the user-data in the "Content" field under the file attachment section of the cloud-init data on the "Run Once" dialog the OK button still has focus.

This means it's impossible to enter multi-line data in the field as when the user presses Enter or even Shift+Enter instead of getting a new line it submits the form and starts the VM.

Version-Release number of selected component (if applicable):

rhevm-image-uploader-3.3.1-2.el6ev.noarch
rhevm-cli-3.3.0.13-1.el6ev.noarch
rhevm-branding-rhev-3.3.0-1.4.el6ev.noarch
rhevm-lib-3.3.0-0.45.el6ev.noarch
rhevm-websocket-proxy-3.3.0-0.45.el6ev.noarch
rhevm-sdk-python-3.3.0.21-1.el6ev.noarch
rhevm-backend-3.3.0-0.45.el6ev.noarch
rhevm-userportal-3.3.0-0.45.el6ev.noarch
rhevm-setup-3.3.0-0.45.el6ev.noarch
rhevm-spice-client-x64-cab-3.3-8.el6_5.noarch
rhev-guest-tools-iso-3.3-10.noarch
rhevm-reports-3.3.0-28.el6ev.noarch
rhevm-spice-client-x64-msi-3.3-8.el6_5.noarch
quartz-rhevm-1.8.3-5.noarch
rhevm-tools-3.3.0-0.45.el6ev.noarch
redhat-support-plugin-rhev-3.3.0-13.el6ev.noarch
rhevm-doc-3.3.0-3.el6eng.noarch
rhevm-dependencies-3.3.5-1.el6ev.noarch
rhevm-3.3.0-0.45.el6ev.noarch
rhevm-restapi-3.3.0-0.45.el6ev.noarch
rhevm-dwh-3.3.0-28.el6ev.noarch
rhevm-webadmin-portal-3.3.0-0.45.el6ev.noarch
rhevm-setup-plugins-3.3.0-4.el6ev.noarch
rhevm-spice-client-x86-cab-3.3-8.el6_5.noarch
rhevm-dbscripts-3.3.0-0.45.el6ev.noarch
rhevm-spice-client-x86-msi-3.3-8.el6_5.noarch
rhevm-iso-uploader-3.3.0-2.el6ev.noarch
rhevm-log-collector-3.3.1-5.el6ev.noarch

Actual results:

Form closes and VM starts running.

Expected results:

New line in multi-line text field.

Comment 1 Michal Skrivanek 2014-02-28 10:06:46 UTC
fixed by http://gerrit.ovirt.org/#/c/24507/ (part of bug 1051041, but this one needs a specific verification)

Comment 2 Pavel Novotny 2014-03-18 19:47:10 UTC
FailedQA in rhevm-3.4.0-0.5.master.el6ev (av3).

Well, the Enter key now doesn't submit the dialog any more, but it acts in the "Content" textarea as new-line character only on RHEL. On other systems / browsers the Enter key is grabbed and doesn't do anything (no new-line, neither submits the dialog).

Here are my findings about behavior of the Enter key in the "Content" textarea:

Ubuntu 13.10: 
 FF27 - doesn't do anything
 Chromium32 - doesn't do anything

RHEL 6.5: 
 FF24 - works correctly as new line

Windows 7x64:
 IE10 - doesn't do anything
 IE11 - doesn't do anything
 FF28 - doesn't do anything

Comment 3 Pavel Novotny 2014-04-29 15:01:08 UTC
Verified in rhevm-3.4.0-0.15.beta3.el6ev.noarch (av7) with following client systems/browsers:

RHEL 6.5:
  FF24.5 ESR

Windows 7 x64:
  IE11
  FF29

Ubuntu 13.10:
  FF28
  Chromium 34

Comment 4 Itamar Heim 2014-06-12 14:08:44 UTC
Closing as part of 3.4.0


Note You need to log in before you can comment on or make changes to this bug.